#!/bin/sh
set -x

export SPARK_HOME=/opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8
export PATH=$SPARK_HOME/bin:$PATH
export HADOOP_CONF_DIR=/etc/taihao-apps/hadoop-conf
export JAVA_HOME=/usr/lib/jvm/java-1.8.0
export PREDICT_CACHE_PATH=/root/zhaohp/XGB/predict_cache/
export SEGMENT_BASE_PATH=/dw/recommend/model/36_model_attachment/score_calibration_file

HADOOP=/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop


dts=('20250320' '20250321' '20250322')
for dt in "${dts[@]}"; do
    echo "开始处理: ${dt}"

    # STR负样本采样
    /opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8/bin/spark-class2 org.apache.spark.deploy.SparkSubmit \
    --class com.aliyun.odps.spark.examples.makedata_recsys.v20250218.makedata_recsys_41_str_train_data_sample_20250319 \
    --master yarn --driver-memory 6G --executor-memory 6G --executor-cores 1 --num-executors 28 \
    /root/zhaohp/recommend-emr-dataprocess/target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
    tablePart:64 beginStr:${dt}00 endStr:${dt}23 \
    savePath:/dw/recommend/model/41_recsys_str_train_data/${dt} \
    fuSampleRate:0.05 whatLabel:is_share repartition:64

    echo "${dt} Str负样本采样完成"

    # ROS数据过滤
    /opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8/bin/spark-class2 org.apache.spark.deploy.SparkSubmit \
    --class com.aliyun.odps.spark.examples.makedata_recsys.v20250218.makedata_recsys_41_ros_train_data_20250304 \
    --master yarn --driver-memory 2G --executor-memory 5G --executor-cores 1 --num-executors 12 \
    /root/zhaohp/recommend-emr-dataprocess/target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
    readPath:/dw/recommend/model/41_recsys_str_train_data/${dt}*/* \
    savePath:/dw/recommend/model/41_recsys_ros_train_data/${dt}/ \
    whatLabel:is_share repartition:64

    echo "${dt} Ros样本过滤完成"
done